import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class TimeCounter extends Actor
{
    private boolean reset = true;
    private static int ticksPassed;
    public void act() 
    {
        setImage(new GreenfootImage("info.png"));
        String ticks = this.ticksPassed+"ticks";
        getImage().setFont(new Font (ticks,20));
        getImage().drawString(ticks,0,22);
        count();
    }    

    private void count()
    {
        if((getWorld() instanceof FloppyWorld && reset == true) 
        || (getWorld() instanceof EndlessMode && reset == true))
        {
            ticksPassed = 0;//reset counter
            reset = false;
        }
        if(getWorld() instanceof FloppyWorld 
        || getWorld() instanceof EndlessMode)// count time in FloppyWorld/EndlessMode
        {
            ticksPassed++;
        }
        if(getWorld() instanceof FloppyWorld == false 
        && getWorld() instanceof EndlessMode == false) //if in other World
        {
            reset = true;
        }
    }
}
