import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Blob extends Actor
{
    private GreenfootSound blob = new GreenfootSound("blob.wav");
    private GreenfootSound explosion = new GreenfootSound("Explosion.wav");
    private int liveTime = 400;
    private int liveTimer = liveTime;
    private int points = 1;
    public void act()
    {
        if(getOneIntersectingObject(Player.class)!=null)
        {
            blob.play();
            die();
        }
        else
        {
            setLiveImage();
        }
    }

    public void die()
    {
        for(int i = 30;i>0;i--)
        {
            getWorld().addObject(new Particles(),getX(),getY());
        }
        getWorld().getObjects(Player.class).get(0).score 
        =getWorld().getObjects(Player.class).get(0).score + points;
        getWorld().removeObject(this);
    }
    
    private void setLiveImage()
    {
        if(liveTimer < liveTime/4)
        {
            setImage(new GreenfootImage("red.png"));
            points = 9;
        }
        else if(liveTimer < liveTime/2)
        {
            setImage(new GreenfootImage("yellow.png"));
            points = 3;
        }
        if(liveTimer == 0)
        {
            getWorld().addObject(new Explosion(),getX(),getY());
            getWorld().getObjects(Player.class).get(0).score =
            getWorld().getObjects(Player.class).get(0).score - 10;
            getWorld().removeObject(this);
        }
        liveTimer--;
    }
}
