import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Button extends Actor
{
    private World world;
    public Button(World world)
    {
        this.world = world;
        if(world instanceof EndlessMode)
        {
            setImage(new GreenfootImage("endlessButton.png"));
        }
    }
    
    public void act() 
    {
        getClicked();
    }   
    
    private void getClicked()
    {
        if(Greenfoot.getMouseInfo() != null && Greenfoot.mouseClicked(this))
        {
            Greenfoot.setWorld(world);
        }
    }
}
